Loading...
Searching...
No Matches
block.h File Reference
`#include <memory>`
`#include <gnuradio/api.h>`
`#include <gnuradio/basic_block.h>`
`#include <gnuradio/buffer_type.h>`
`#include <gnuradio/config.h>`
`#include <gnuradio/logger.h>`
`#include <gnuradio/tags.h>`
`#include <gmpxx.h>`
Include dependency graph for gnuradio-runtime/include/gnuradio/block.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | gr::block
| The abstract base class for all 'terminal' processing blocks. More...

## Namespaces

namespace | gr
| GNU Radio logging wrapper.

## Typedefs

typedef std::vector< block_sptr > | gr::block_vector_t
typedef std::vector< block_sptr >::iterator | gr::block_viter_t

## Functions

GR_RUNTIME_API std::ostream & | gr::operator<< (std::ostream &os, const block *m)